<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Form;

use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;

class CategoryTranslationType extends AbstractReferableTranslationType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        parent::buildForm($builder, $options);

        $builder
            ->add('name', TextType::class, [
                'label' => 'dedi_blog.form.category.name',
            ])
            ->add('slug', TextType::class, [
                'label' => 'dedi_blog.form.category.slug',
                'required' => false,
            ])
            ->add('description', TextType::class, [
                'label' => 'dedi_blog.form.category.description',
                'required' => false,
            ])
        ;
    }
}
